function coeffs = shAcousticSource( band, source_loc)
%
% coeffs = shAcousticSource( source_loc)
% 
% Calculate Spherical Harmonics coeffs for accoustic source.

  coeffs=[];
  q = shCompleteBasisL( band, source_loc(1), source_loc(2));
  for l=0:band
    coeffs = vertcat(coeffs, q{l+1});
  end

  % normalize magnitude of coefficients within each band 
  for l=0:band
    j = l^2 + 1;
    coeffs(j:j+2*l) = coeffs(j:j+2*l)/ norm(coeffs(j:j+2*l));
  end
    
end