function coeffs = shAcousticSourceL( band, source_loc)
%
% coeffs = shAcousticSourceL( source_loc)
% 
% Calculate Spherical Harmonics coeffs for accoustic source in band l.

  coeffs = zeros( 1, 2*band+1);
  for( m = -band : band)
    index = (band+1) + m;
    coeffs(index) = shEval(band, m, source_loc(1), source_loc(2)); 
  end

  % normalize magnitude of coefficients within each band 
  coeffs = coeffs ./ norm(coeffs);
    
end