function [y, seed]=shLegendre(L,cosx,sinx,seed)
    % returns and seed to compute band L+1
    
  if (L==0) 
      y=[1];  
      seed = [1e-280];
      return;
  end

  defval('seed',999);
  if (seed==999)
      % If seed wasn't provided, need to calculate it

      seed=1e-280;
      for i=1:L-1
          m=i;
          m_index=m+1;

          if (m==1)
              % no normalization factor
              scale2=-1;
          else
              scale2 = - sqrt(1/( (m+m) * (m+m-1)));
          end

          seed = seed * -(2*m - 1) * scale2;
      end
  end


  y=zeros(L,numel(cosx));
    
  % for l > 1, use previous bands for recurrance
  % first recurrance rule
  m=L;
  m_index=m+1;
  if (m==1)
    % no normalization factor
    scale2=-1;
  else
    scale2 = - sqrt(1/( (L+m) * (L+m-1)));
  end
  
  y(m_index,:) = -(2*m - 1) * scale2 * seed;

  % 2nd recurrance rule
  m=L-1;
  m_index=m+1;
  scale1=1;
  if (m==0)
      scale1 = sqrt( ((L+1) * L) / 2)   / ((L+(m+1)) * (L-(m+1)+1));
  else
      scale1  = 1/(sqrt( (L-m) * (L+m+1)));
  end

  y(m_index,:) =2*(m+1).*(cosx) .* scale1 .* y(m_index+1,:);
    
  % 3rd reccurance rule
  for m=L-2:-1:0
      m_index=m+1;
      scale1=1;
      scale2=1;
      if (m==0)
          scale1 = sqrt( ((L+1) * L) / 2)   / ((L+(m+1)) * (L-(m+1)+1));
          scale2 = sqrt( ((L+2) * (L+1) * L * (L-1)) / 2) / ((L+(m+1)) * (L-(m+1)+1));
      else
         scale1  = 1/(sqrt( (L-m) * (L+m+1)));
         scale2  = sqrt( ((L-m-1) * (L+m+2)) / ((L-m) * (L+m+1)));
      end

      t1 = 2*(m+1).*(cosx) .* scale1 .* y(m_index+1,:);
      t2 = scale2  .* sinx .* sinx .* y(m_index+2,:);
      y(m_index,:) =(2*(m+1).*(cosx) .* scale1 .* y(m_index+1,:) - scale2  .* sinx .* sinx .* y(m_index+2,:));
      
  end

    % the unnormalized seed for next recurrance level
    seed = y(L+1);
    
    % now normalize 
    mfactor=1e280 * ones(size(sinx));
    for i=0:L
        y(i+1,:) = y(i+1,:) .* mfactor;
        mfactor = mfactor .* sinx;
    end

end
