function r3 = s2_to_r3_list( s2)
%
% r3 = s2_to_r3( s2)
%
% Convert an array of points from spherical coordinates in S^2 to Euclidean 
% coordinates in R^3.
%
% @return r3                 Coordinates in R^3 (unit vector).
% @param  s2 = [theta; phi]  Coordintaes on S^2.

  theta = s2(:,1);
  phi = s2(:,2);

  sin_theta = sin(theta);
  
  r3 = zeros(size(s2,1),3);
  r3(:,1) = cos(phi) .* sin_theta;
  r3(:,2) = sin(phi) .* sin_theta;  
  r3(:,3) = cos(theta);
  
end
